.footer {
  position: relative;
  overflow: hidden;
  margin: 0 auto 1.7rem;
  padding: 9.3rem 9.7rem 6.3rem 9.9rem;
  width: 131.7rem;
  background: #25303f;
  border-radius: 10px;
}
@media (max-width: 768px) {
  .footer {
    margin: 0 auto 2.4rem;
    padding: 6.8rem 0 4.6rem;
    width: 34.2rem;
  }
}
.footer__background {
  position: absolute;
  top: 4.2rem;
  left: 47.4rem;
  width: 89.7rem;
  height: 48.9rem;
  z-index: 1;
}
@media (max-width: 768px) {
  .footer__background {
    position: absolute;
    top: 43rem;
    left: 0;
    width: 100%;
    height: 26.2rem;
    z-index: 1;
  }
}
.footer__logo {
  margin: 0 auto;
  width: 18.6rem;
}
.footer__links {
  position: relative;
  margin: 6.7rem auto 0;
  width: fit-content;
  display: flex;
  gap: 5.7rem;
  color: #fff;
  font-family: "Montserrat", sans-serif;
  letter-spacing: 0.03em;
  z-index: 2;
}
@media (max-width: 768px) {
  .footer__links {
    margin: 4.2rem auto 0;
    flex-direction: column;
    gap: 2rem;
    text-align: center;
  }
}
.footer__link:hover {
  color: #96aac7;
}
.footer__outer-links {
  position: relative;
  margin: 6.7rem 0 0 0;
  display: flex;
  gap: 2.3rem;
  z-index: 2;
}
@media (max-width: 768px) {
  .footer__outer-links {
    margin: 5.8rem auto 0;
    width: fit-content;
  }
}
.footer__outer-link-icon {
  width: clamp(20px, 2.4rem, 1000px);
  height: clamp(20px, 2.4rem, 1000px);
}
.footer__outer-link-icon:hover {
  opacity: 0.8;
}
.footer__other-links {
  position: relative;
  margin: 6.1rem auto 0;
  width: 99rem;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1.4rem;
  color: #979797;
  font-family: "Montserrat", sans-serif;
  font-size: 1.4rem;
  letter-spacing: 0.03em;
  z-index: 2;
}
@media (max-width: 768px) {
  .footer__other-links {
    margin: 2.8rem auto 0;
    width: fit-content;
    flex-direction: column;
    gap: 1rem;
    font-size: 1.2rem;
    align-items: center;
  }
}
.footer__other-link:hover {
  color: #96aac7;
}
.footer__copyright {
  margin: 6.1rem 0 0 0;
  color: #979797;
  font-family: "Noto Sans JP";
  font-weight: 400;
  font-size: 1.4rem;
  letter-spacing: 0.03em;
  text-align: center;
}
@media (max-width: 768px) {
  .footer__copyright {
    margin: 2.8rem 0 0 0;
    font-size: 1.2rem;
  }
}
